
/*-----------------------------------------------------------------------------------------------------------------------------------

■ 概要
アイテム情報を拡張したり色々します。
自分向けに拡張する予定のファイルのため、現時点で汎用性はあまりありません。

[主にやっていること]
・～の杖、～のアイテムなど末尾の文言削除
・武器の必殺が0なら表示を行わない
・一部アイテムに独自のキーワードとテキストを指定可能

■ 使い方
スイッチアイテムのカスタムパラメータに
{ItemInfoKeyword: "キーワード", ItemInfoText: "テキスト"}
を指定することで、独自のキーワードとテキストを設定できます。

■ 作成者
Chaos Gate
http://kwt.web2.jp/

■ 利用条件
・SRPG Studioの利用規約に準じます(http://srpgstudio.com/guide/rules.html)
・この作品はクリエイティブ・コモンズ・表示 - 継承 4.0 国際・ライセンスで提供されています。
  日本語 http://creativecommons.org/licenses/by-sa/4.0/deed.ja
  English http://creativecommons.org/licenses/by-sa/4.0/

■ 更新履歴
2016/07/15 公開

-------------------------------------------------------------------------------------------------------------------------------------*/

(function() {

// ～の杖など末尾に追加される文言を削除
BaseItemInfo.getItemTypeName = function(name)
{
	return name;
}

// 武器の必殺が0なら表示を行わない
var alias_CriticalAndRange_drawItemSentence = ItemSentence.CriticalAndRange.drawItemSentence;
ItemSentence.CriticalAndRange.drawItemSentence = function(x, y, item)
{
	if(item.getCritical() != 0)
	{
		alias_CriticalAndRange_drawItemSentence.call(this, x, y, item);
		return;
	}

	var text;
	text = root.queryCommand('range_capacity');
	ItemInfoRenderer.drawKeyword(x, y, text);
	x += ItemInfoRenderer.getSpaceX();
	this._drawRange(x, y, item);
}

// スイッチアイテム
var alias_SwitchItemInfo_drawItemInfoCycle = SwitchItemInfo.drawItemInfoCycle;
SwitchItemInfo.drawItemInfoCycle = function(x, y)
{
	if(typeof this._item.custom.ItemInfoKeyword === 'undefined')
	{
		alias_SwitchItemInfo_drawItemInfoCycle.call(this, x, y);
		return;
	}

	var textui = this.getWindowTextUI();
	var color = textui.getColor();
	var font = textui.getFont();
	ItemInfoRenderer.drawKeyword(x, y, this.getItemTypeName(this._item.custom.ItemInfoKeyword));
	x += ItemInfoRenderer.getSpaceX();
	TextRenderer.drawKeywordText(x, y, this._item.custom.ItemInfoText, -1, color, font);
}

})();
