
/*-----------------------------------------------------------------------------------------------------------------------------------

■ 概要
壊れたアイテムがそのまま残るようになります。
壊れたアイテムは使用回数を回復させない限り使用できません。

■ 使い方
アイテムのカスタムパラメータに{Exclusion: 1}を指定すると従来通りの処理を行います。

■ 作成者
Chaos Gate
http://kwt.web2.jp/

■ 利用条件
・SRPG Studioの利用規約に準じます(http://srpgstudio.com/guide/rules.html)
・この作品はクリエイティブ・コモンズ・表示 - 継承 4.0 国際・ライセンスで提供されています。
  日本語 http://creativecommons.org/licenses/by-sa/4.0/deed.ja
  English http://creativecommons.org/licenses/by-sa/4.0/

■ 更新履歴
2016/07/15 公開

-------------------------------------------------------------------------------------------------------------------------------------*/

(function() {

// アイテムの使用回数減少処理
ItemControl.decreaseItem = function(unit, item)
{
	this.decreaseLimit(unit, item);
	if (this.isItemBroken(item)) this.lostItem(unit, item);
};

// 使用回数の減少
var alias_decreaseLimit = ItemControl.decreaseLimit;
ItemControl.decreaseLimit = function(unit, item)
{
	if(item.getLimit() !== WeaponLimitValue.BROKEN) alias_decreaseLimit.call(this, unit, item);
};

// アイテムの消失処理
var alias_lostItem = ItemControl.lostItem;
ItemControl.lostItem = function(unit, item)
{
	if(typeof item.custom.Exclusion === 'number' && item.custom.Exclusion == 1)
	{
		alias_lostItem.call(this, unit, item);
		return;
	}
	item.setLimit(WeaponLimitValue.BROKEN);
};

// アイテムが使用可能かどうか調べる
var alias_isItemUsable = ItemControl.isItemUsable;
ItemControl.isItemUsable = function(unit, item)
{
	return item.getLimit() !== WeaponLimitValue.BROKEN
		&& alias_isItemUsable.call(this, unit, item);
};

// ユニットがアイテムを装備できるか調べる
var alias_isWeaponAvailable = ItemControl.isWeaponAvailable;
ItemControl.isWeaponAvailable = function(unit, item)
{
	return item.getLimit() !== WeaponLimitValue.BROKEN
		&& alias_isWeaponAvailable.call(this, unit, item);
}

})();
